Loading...
Searching...
No Matches
oval_sexp.c File Reference

OVAL to/from S-exp conversion functions - implementation. More...

`#include <inttypes.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "_seap.h"`
`#include <assert.h>`
`#include "oval_probe_impl.h"`
`#include "oval_sexp.h"`
`#include "probes/public/probe-api.h"`
`#include "oval_definitions_impl.h"`
`#include "oval_system_characteristics_impl.h"`
`#include "adt/oval_string_map_impl.h"`
`#include "common/debug_priv.h"`
`#include "common/_error.h"`
`#include "public/oval_schema_version.h"`
Include dependency graph for oval_sexp.c:

## Functions

SEXP_t * | oval_value_to_sexp (struct oval_value *val, oval_datatype_t dtype)
int | oval_object_to_sexp (void *sess, const char *typestr, struct oval_syschar *syschar, SEXP_t **out_sexp)
int | oval_state_to_sexp (void *sess, struct oval_state *state, SEXP_t **out_sexp)
int | oval_sexp_to_sysch (const SEXP_t *cobj, struct oval_syschar *syschar)

## Detailed Description

OVAL to/from S-exp conversion functions - implementation.

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m
  "Lukas Kuklinek" lkukl.nosp@m.ine@.nosp@m.redha.nosp@m.t.co.nosp@m.m
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m